# Uses of Interface
java.lang.reflect.TypeVariable

Packages that use TypeVariable
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.

## Uses of TypeVariable in java.lang

Methods in java.lang that return TypeVariable
Modifier and Type
Method
Description
`TypeVariable<Class<T>>[]`
Class.`getTypeParameters()`
Returns an array of `TypeVariable` objects that represent the type variables declared by the generic declaration represented by this `GenericDeclaration` object, in declaration order.

## Uses of TypeVariable in java.lang.reflect

Methods in java.lang.reflect that return TypeVariable
Modifier and Type
Method
Description
`TypeVariable<Constructor<T>>[]`
Constructor.`getTypeParameters()`
Returns an array of `TypeVariable` objects that represent the type variables declared by the generic declaration represented by this `GenericDeclaration` object, in declaration order.
`abstract TypeVariable<?>[]`
Executable.`getTypeParameters()`
Returns an array of `TypeVariable` objects that represent the type variables declared by the generic declaration represented by this `GenericDeclaration` object, in declaration order.
`TypeVariable<?>[]`
GenericDeclaration.`getTypeParameters()`
Returns an array of `TypeVariable` objects that represent the type variables declared by the generic declaration represented by this `GenericDeclaration` object, in declaration order.
`TypeVariable<Method>[]`
Method.`getTypeParameters()`
Returns an array of `TypeVariable` objects that represent the type variables declared by the generic declaration represented by this `GenericDeclaration` object, in declaration order.